bamRecordStruct Struct Reference

Structure of a BAM record. More...

`#include <SamRecord.h>`

## Public Attributes

int32_t | myBlockSize
int32_t | myReferenceID
int32_t | myPosition
uint32_t | myReadNameLength: 8
uint32_t | myMapQuality: 8
uint32_t | myBin: 16
uint32_t | myCigarLength: 16
uint32_t | myFlag: 16
int32_t | myReadLength
int32_t | myMateReferenceID
int32_t | myMatePosition
int32_t | myInsertSize
char | myData [1]

## Detailed Description

Structure of a BAM record.

Definition at line 33 of file SamRecord.h.

## Member Data Documentation

## myBin

uint32_t bamRecordStruct::myBin

Definition at line 39 of file SamRecord.h.

## myBlockSize

int32_t bamRecordStruct::myBlockSize

Definition at line 36 of file SamRecord.h.

## myCigarLength

uint32_t bamRecordStruct::myCigarLength

Definition at line 40 of file SamRecord.h.

## myData

char bamRecordStruct::myData[1]

Definition at line 45 of file SamRecord.h.

## myFlag

uint32_t bamRecordStruct::myFlag

Definition at line 40 of file SamRecord.h.

## myInsertSize

int32_t bamRecordStruct::myInsertSize

Definition at line 44 of file SamRecord.h.

## myMapQuality

uint32_t bamRecordStruct::myMapQuality

Definition at line 39 of file SamRecord.h.

## myMatePosition

int32_t bamRecordStruct::myMatePosition

Definition at line 43 of file SamRecord.h.

## myMateReferenceID

int32_t bamRecordStruct::myMateReferenceID

Definition at line 42 of file SamRecord.h.

## myPosition

int32_t bamRecordStruct::myPosition

Definition at line 38 of file SamRecord.h.

## myReadLength

int32_t bamRecordStruct::myReadLength

Definition at line 41 of file SamRecord.h.

## myReadNameLength

uint32_t bamRecordStruct::myReadNameLength

Definition at line 39 of file SamRecord.h.

## myReferenceID

int32_t bamRecordStruct::myReferenceID

Definition at line 37 of file SamRecord.h.

The documentation for this struct was generated from the following file:

- bam/SamRecord.h